// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../FormatValidation";
export default class GetRoleMembersRequest extends ValidatedRequest {
    securityId;
    role;
    start;
    end;
    constructor({ securityId, role, start, end }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            role: FormatValidation.checkRole(),
        });
        this.securityId = securityId;
        this.role = role;
        this.start = start;
        this.end = end;
    }
}
